<?php
namespace Ig\IgCookies\Domain\Repository;

use TYPO3\CMS\Core\Utility\GeneralUtility;
/***
 *
 * This file is part of the "sh_cookies" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2018 Simon Häsler <sh@internetgalerie.ch>, Internetgalerie AG
 *
 ***/

/**
 * LogRepository
 */
class LogRepository extends \TYPO3\CMS\Extbase\Persistence\Repository
{
    protected $defaultOrderings = [
        'logDate' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_DESCENDING
    ];

    public function initializeObject() {
      $querySettings = GeneralUtility::makeInstance(\TYPO3\CMS\Extbase\Persistence\Generic\Typo3QuerySettings::class);
      $querySettings->setRespectStoragePage(FALSE);
      $this->setDefaultQuerySettings($querySettings);
    }
    
    public function findBySearch($searchString = '') {
      $query = $this->createQuery();
      //echo('search it:'. $searchString);      
      //$query->getQuerySettings()->setRespectStoragePage(FALSE);
      if( $searchString ) {
        $query->matching($query->logicalOr(
					   $query->like('browser', '%' . $searchString . '%'),
					   $query->like('ipAddress', '%' . $searchString . '%')
					   ));
      }
        
        return $query->execute();
    }
}
