<?php

use Ig\IgCookies\Resource\Rendering\IgYouTubeRenderer;
use Ig\IgCookies\Resource\Rendering\IgVimeoRenderer;
use TYPO3\CMS\Core\Resource\Rendering\RendererRegistry;
use TYPO3\CMS\Core\Utility\GeneralUtility;

defined('TYPO3') or die();

call_user_func(
    function ($extKey) {

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'IgCookies',
            'Statistics',
            [
                \Ig\IgCookies\Controller\LogController::class => 'list'
            ],
            // non-cacheable actions
            [
                \Ig\IgCookies\Controller\LogController::class => 'list'
            ]
        );
        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'IgCookies',
            'Log',
            [
                \Ig\IgCookies\Controller\LogController::class => 'create'
            ],
            // non-cacheable actions
            []
        );



        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'IgCookies',
            'Hint',
            [
                \Ig\IgCookies\Controller\MainController::class => 'cookie',
            ],
            // non-cacheable actions
            [
                // \Ig\IgCookies\Controller\MainController::class => 'cookie',
            ]
        );



        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'IgCookies',
            'Settings',
            [
                \Ig\IgCookies\Controller\MainController::class => 'settings',
            ],
            // non-cacheable actions
            [
                \Ig\IgCookies\Controller\MainController::class => 'settings',
            ]
        );

        $GLOBALS['TYPO3_CONF_VARS']['FE']['eID_include'][$extKey . '-ajax'] = \Ig\IgCookies\Controller\LogController::class . '::ajaxAction';
    },
    'ig_cookies'
);

$rendererRegistry = GeneralUtility::makeInstance(RendererRegistry::class);
$rendererRegistry->registerRendererClass(IgYouTubeRenderer::class);
$rendererRegistry->registerRendererClass(IgVimeoRenderer::class);
unset($rendererRegistry);
